Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005562TestLinkReports - Test Cases Created x userpublic2013-03-14 15:022013-05-26 18:50
Reportermazin 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.6 (2013 Q1 - bug fixing) 
Fixed in Version1.9.7 (2013 Q2 - bug fixing) 
Summary0005562: Test Cases created per User - toolbar refresh button breaks filter behaivour
DescriptionWhen trying to redo a search no item is displayed for the item "Test Cases created per User"
Steps To Reproduce1) Open the item "Test Cases created per User"
2) Click on "Submit Query". The results are presented (look at Image 01).
3) Click on "Refresh" on toolbar on results grid
4) Click on "Submit Query"
The message "Your search delivered no results!" Is shown (look at image 02), but should give the same result of the image 1.

Important note: With any combination of filter the failure occurs.
TagsTO BE FIXED on 2.0
Database (MySQL,Postgres,etc)Mysql
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filesjpg file icon Image_01.jpg [^] (121,439 bytes) 2013-03-14 15:04


jpg file icon Image_02.jpg [^] (8,451 bytes) 2013-03-14 15:04


? file icon tcCreatedPerUserOnTestProject.php [^] (11,251 bytes) 2013-03-15 11:05

- Relationships
child of 0005551closedfman Availables hot-fixes for 1.9.6 & How To get full fixed package from gitorious 

-  Notes
(0018442)
fman (administrator)
2013-03-14 18:46
edited on: 2013-03-14 18:53

As explained in www.teamst.org, I need a issue report with really detailed step by step to reproduce.
The less effort is put by report, more will be effort for developer to get the point.

Just adding:
click on refresh icon present on toolbar on the grid...

becomes an important hint, much better that just refresh.

(0018443)
fman (administrator)
2013-03-14 21:40

Toolbar refresh button and restore defaults, have low value => removed as temporary fix.
(0018444)
fman (administrator)
2013-03-14 21:45

http://gitorious.org/testlink-ga/testlink-code/commit/88cb54db729bce504478375e677c300ee3e5095a [^]
(0018445)
fman (administrator)
2013-03-14 21:46

please get fix, apply and provide feedback
(0018447)
mazin (reporter)
2013-03-15 11:05

The tests were run successfully, button was hidden.
Attached is the file "tcCreatedPerUserOnTestProject.php" changed.

- Issue History
Date Modified Username Field Change
2013-03-14 15:02 mazin New Issue
2013-03-14 15:04 mazin File Added: Image_01.jpg
2013-03-14 15:04 mazin File Added: Image_02.jpg
2013-03-14 18:45 fman Category Filters => Reports
2013-03-14 18:45 fman Summary Filter Fail - Test Cases created per User => Test Cases created per User - filter fails if search is done twice without changing criteria
2013-03-14 18:46 fman Note Added: 0018442
2013-03-14 18:47 fman Category Reports => Reports - Test Cases Created x user
2013-03-14 18:53 fman Note Edited: 0018442 View Revisions
2013-03-14 21:40 fman Note Added: 0018443
2013-03-14 21:42 fman Summary Test Cases created per User - filter fails if search is done twice without changing criteria => Test Cases created per User - toolbar refresh button breaks filter behaivour
2013-03-14 21:42 fman Steps to Reproduce Updated View Revisions
2013-03-14 21:45 fman Note Added: 0018444
2013-03-14 21:45 fman Tag Attached: TO BE FIXED on 2.0
2013-03-14 21:46 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-03-14 21:46 fman Fixed in Version => 1.9.7 (2013 Q2 - bug fixing)
2013-03-14 21:46 fman Note Added: 0018445
2013-03-14 21:46 fman Assigned To => fman
2013-03-14 21:46 fman Status new => feedback
2013-03-14 21:47 fman Relationship added child of 0005551
2013-03-15 11:05 mazin Note Added: 0018447
2013-03-15 11:05 mazin Status feedback => assigned
2013-03-15 11:05 mazin File Added: tcCreatedPerUserOnTestProject.php
2013-03-15 11:16 fman Status assigned => resolved
2013-03-15 11:16 fman Resolution open => fixed
2013-05-26 18:50 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker